Bug 1021355 - Can't rhc deploy app by commit ID
Can't rhc deploy app by commit ID
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John Keck
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 03:10 EDT by Yan Du
Modified: 2015-05-14 19:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:25:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-10-21 03:10:09 EDT
Description of problem:

create an app and make some change in local repo, then rhc deploy with the commit ID, app can't deploy successfully and show the commit id is invalid.


Version-Release number of selected component (if applicable):
devenv_3921
rhc-1.16.0 (build from devenv_3921)


How reproducible:
Always


Steps to Reproduce:
1. create an app and disable auto-deploy
2. make any change and git push
3. rhc deploy with commit id


Actual results:
step2: 
[root@Daphne n6]# git add .; git commit -amp1; git push
[master ee68a39] p1
 Committer: root <root@Daphne.(none)
 1 files changed, 1 insertions(+), 1 deletions(-)
Counting objects: 5, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 281 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
To ssh://52648fb620dcc7e80500007e@n6-111.dev.rhcloud.com/~/git/n6.git/
   2df151f..ee68a39  master -> master
   
step3:
[root@Daphne n6]# rhc deploy ee68a39 -a n6
Deployment of git ref 'ee68a39' in progress for application n6 ...
Git ref ee68a39 is invalid
Error trying to deploy git ref. You can ssh to your application and try to deploy manually with:
gear deploy ee68a39
SSH command finished with exit status = 255


Expected results:
app can deploy successfully with commit id.


Additional info:
1. the same app can deploy successfully with branch name: rhc deploy master -a n6
2. if ssh into app and run gear deploy ee68a39, still got the message: ref ee68a39 is invalid
Comment 1 Hiro Asari 2013-10-21 10:07:43 EDT
The
Comment 3 openshift-github-bot 2013-10-21 17:56:54 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/3c562ba1b1973bf54f18084e0b79a05059a1bd02
Bug 1021355

Check for git objects with `git rev-parse` rather than for references with
`git show-ref`.
Comment 4 Yan Du 2013-10-21 22:43:03 EDT
test on devenv_3925, can deploy with commit ID successfully.

[root@Daphne perl1]# rhc deploy c89a413 -a perl1
Deployment of git ref 'c89a413' in progress for application perl1 ...
Stopping Perl cartridge
Waiting for stop to finish
Building git ref 'c89a413', commit c89a413
Building Perl cartridge
GD is up to date. (2.50)
Preparing build for deployment
Prepared deployment artifacts in /var/lib/openshift/5265e3558e215305d9000001/app-deployments/2013-10-21_22-38-09.255
Deployment id is 50a2648f
Activating deployment
Starting Perl cartridge
Success

move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.